
Foreman - Bug #2489

BMC password doesn't save

05/13/2013 04:29 AM - Joseph Magen

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category:    

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Related issues:

Related to Foreman - Bug #2713: do not update nics table on every host update... Closed 06/26/2013

Associated revisions

Revision eaa6aec0 - 06/20/2013 12:07 PM - Joseph Magen

fixes #2489 - fixes BMC password caused by rails bug accepts_nested_attributes_for and serialized child field

Revision 7464248b - 06/21/2013 03:59 AM - Joseph Magen

fixes #2489 - fixes BMC password caused by rails bug accepts_nested_attributes_for and serialized child field

(cherry picked from commit eaa6aec0023de21f0565b33e98f4c68990c0c2e2)

History

#1 - 05/15/2013 06:18 AM - Daniel Lobato Garcia

Is this going to be fixed before 1.2?

#2 - 05/16/2013 11:39 AM - Joseph Magen

- Status changed from New to Ready For Testing

- Target version set to 1.2.0

https://github.com/theforeman/foreman/pull/620

#3 - 06/20/2013 02:48 AM - Joseph Magen

I found the bug, but I don't have a workaround yet. It appears to be a Rails bug.

If there is accepts_nested_attributes_for and a serialized field on the child object (attrs in Nic::Base), then the child object(attrs) is not updated IF the

only fields that are changed are the elements of the serialized hash attrs (:username, :password, :provider). If another field on the interfaces form

changes (i.e. :mac) in addition to :password, then everything saves fine. If ONLY :password is changed for the interface, then it appears rails does

NOT recognize that attrs is DIRTY when @host. update_attributes and therefore NOTHING for interface is updated.

#4 - 06/20/2013 01:17 PM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset eaa6aec0023de21f0565b33e98f4c68990c0c2e2.
